LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | Public Attributes | List of all members
XExternalSheetCache Interface Reference

Primary interface for the com::sun::star::sheet::ExternalSheetCache service. More...

`import"XExternalSheetCache.idl";`

Inheritance diagram for XExternalSheetCache:

## Public Member Functions
void | setCellValue ([in] long nColumn, [in] long nRow, [in] any aValue) raises (com::sun::star::lang::IllegalArgumentException)
| It sets a cached value for a specified cell position. More...
any | getCellValue ([in] long nColumn, [in] long nRow) raises (com::sun::star::lang::IllegalArgumentException)
| It retrieves a cached value from a specified cell position. More...
sequence< long > | getAllRows ()
| It returns a list of all row numbers where a cached cell or cells exist. More...
sequence< long > | getAllColumns ([in] long nRow) raises (com::sun::star::lang::IllegalArgumentException)
| Given a row number, this method returns a list of all columns numbers that store cached cell values in that row. More...

## Public Attributes
long | TokenIndex
| Index corresponding to this instance of an external sheet cache for usage in formula tokens. More...

## Detailed Description

Primary interface for the com::sun::star::sheet::ExternalSheetCache service.

See also
  com::sun::star::sheet::ExternalSheetCache

Since
  OOo 3.1

## Member Function Documentation

## ◆ getAllColumns()

sequence< long > getAllColumns | ( | [in] long | nRow | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Given a row number, this method returns a list of all columns numbers that store cached cell values in that row.

The column numbers are sorted in ascending order.

Returns
  sequence<long> list of all columns numbers with cached cell values

## ◆ getAllRows()

sequence< long > getAllRows | ( |  | ) |

It returns a list of all row numbers where a cached cell or cells exist.

The row numbers are sorted in ascending order.

Returns
  sequence<long> list of all row numbers with cached cell(s)

## ◆ getCellValue()

any getCellValue | ( | [in] long | nColumn,
|  | [in] long | nRow
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

It retrieves a cached value from a specified cell position.

The cached value can be either string or double.

Returns
  any cached cell value

## ◆ setCellValue()

void setCellValue | ( | [in] long | nColumn,
|  | [in] long | nRow,
|  | [in] any | aValue
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

It sets a cached value for a specified cell position.

The value is expected to be either of type string or of type double. No other data types are supported.

Parameters

  nRow | row position (0-based)
  nColumn | column position (0-based)
  aValue | cell value to be cached

## Member Data Documentation

## ◆ TokenIndex

long TokenIndex
| attribute readonly

Index corresponding to this instance of an external sheet cache for usage in formula tokens.

This index to the external sheet cache is expected in the SingleReference::Sheet member if it is part of an external reference token.

Each external sheet cache has a unique index value inside the ExternalDocLink instance.

See also
  FormulaToken
  ExternalReference

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XExternalSheetCache.idl